package com.abbidot.tracker.adapter

import android.content.Context
import com.abbidot.baselibrary.list.BaseRecyclerAdapter
import com.abbidot.baselibrary.list.RecyclerViewHolder
import com.abbidot.tracker.R
import com.abbidot.tracker.bean.DataBean

/**
 *Created  by .yzq on 2024/2/22/022.
 * @link
 * @description:
 */
class FamilyRelationAdapter(
    ctx: Context, list: MutableList<DataBean>?
) : BaseRecyclerAdapter<DataBean>(ctx, list) {

    override fun getEmptyLayoutId(viewType: Int) = 0

    override fun getItemLayoutId(viewType: Int) = R.layout.item_invite_family_relation_layout

    override fun bindData(holder: RecyclerViewHolder?, position: Int, item: DataBean) {
        holder!!.setText(R.id.tv_invite_family_relation_text, item.name)
        holder.itemView.isSelected = item.selected
    }
}